## i3blocks 1.3

=== Makefile ===
RELEASE_VERSION = 1.3

ifndef PREFIX
  PREFIX=/usr/local
endif
ifndef SYSCONFDIR
  ifeq ($(PREFIX),/usr)
    SYSCONFDIR=/etc
  else
    SYSCONFDIR=$(PREFIX)/etc
  endif
endif
ifndef LIBEXECDIR
  LIBEXECDIR=$(PREFIX)/libexec
endif
ifndef DOCDIR
  DOCDIR=$(PREFIX)/share/doc/$(PROGRAM)
endif
ifndef VERSION
  VERSION = $(shell git describe --tags --always 2> /dev/null)
  ifeq ($(strip $(VERSION)),)
    VERSION = $(RELEASE_VERSION)
  endif
endif

PROGRAM = i3blocks

CPPFLAGS += -DSYSCONFDIR=\"$(SYSCONFDIR)\"
CPPFLAGS += -DVERSION=\"${VERSION}\"
CFLAGS += -std=gnu99 -Wall -Werror=format-security

OBJS := $(wildcard src/*.c *.c)
OBJS := $(OBJS:.c=.o)

%.o: %.c %.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
	@echo " CC $<"

all: $(PROGRAM)

debug: CPPFLAGS += -DDEBUG
debug: CFLAGS += -g
debug: $(PROGRAM)

$(PROGRAM): ${OBJS}
	$(CC) $(LDFLAGS) -o $@ $^
	@echo " LD $@"

man: $(PROGRAM).1

$(PROGRAM).1: $(PROGRAM).1.ronn
	ronn -w -r $<

clean:
	rm -f *.o $(PROGRAM)

install: all man
	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 -d $(DESTDIR)$(SYSCONFDIR)
	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 755 -d $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)
	install -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
	sed 's,$$SCRIPT_DIR,$(LIBEXECDIR)/$(PROGRAM),' $(PROGRAM).conf > $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
	chmod 644 $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
	install -m 644 $(PROGRAM).1 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 755 scripts/* $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)/
	install -m 755 -d $(DESTDIR)$(DOCDIR)/contrib
	install -m 755 contrib/* $(DESTDIR)$(DOCDIR)/contrib/
	chmod 644 $(DESTDIR)$(DOCDIR)/contrib/config

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
	rm -f $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/$(PROGRAM).1
	rm -rf $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)
	rm -rf $(DESTDIR)$(DOCDIR)

dist: clean man
	( git ls-files * ; ls $(PROGRAM).1 ) | \
	  tar -czT - --transform 's,^,$(PROGRAM)-$(VERSION)/,' \
	  -f $(PROGRAM)-$(VERSION).tar.gz

distclean: clean
	rm -f $(PROGRAM).1 $(PROGRAM)-*.tar.gz

.PHONY: all clean install uninstall

=== debian/changelog ===
i3blocks (1.3-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches since they were merged upstream

 -- Jason Pleau <jason@jpleau.ca>  Wed, 22 Oct 2014 17:29:12 -0400

i3blocks (1.2-1) unstable; urgency=low

  * Initial release (Closes: #762517)

 -- Jason Pleau <jason@jpleau.ca>  Sat, 04 Oct 2014 18:17:31 -0400

=== debian/control ===
Source: i3blocks
Section: x11
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/vivien/i3blocks
Vcs-Git: git://anonscm.debian.org/collab-maint/i3blocks.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/i3blocks.git

Package: i3blocks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: i3-wm, acpi, gawk, alsa-utils, sysstat
Enhances: i3-wm
Description: highly flexible status line for the i3 window manager
 Status line for the i3 window manager and i3bar that handles clicks, signals
 and language-agnostic user scripts.
 .
 The content of each block (e.g. time, battery status, network state, ...)
 is the output of a command provided by the user.  Blocks are updated on click,
 at a given interval of time or on a given signal, also specified by the user.
 .
 It aims to respect the i3bar protocol, providing customization such as text
 alignment, urgency, color, and more.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ 
	
override_dh_auto_build:
	dh_auto_build -- SYSCONFDIR="/etc" VERSION="${DEB_VERSION_UPSTREAM}"

override_dh_auto_install:
	dh_auto_install -- PREFIX="/usr" LIBEXECDIR="/usr/share"

override_dh_auto_clean:
	$(MAKE) clean

=== debian/watch ===
version=3
https://github.com/vivien/i3blocks/releases /vivien/i3blocks/releases/download/([\d\.])+/i3blocks-([\d\.])+\.tar\.gz

## i3blocks 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-RELEASE_VERSION = 1.3
+RELEASE_VERSION = 1.4
 
 ifndef PREFIX
   PREFIX=/usr/local
@@ -13,9 +13,6 @@
 ifndef LIBEXECDIR
   LIBEXECDIR=$(PREFIX)/libexec
 endif
-ifndef DOCDIR
-  DOCDIR=$(PREFIX)/share/doc/$(PROGRAM)
-endif
 ifndef VERSION
   VERSION = $(shell git describe --tags --always 2> /dev/null)
   ifeq ($(strip $(VERSION)),)
@@ -27,9 +24,9 @@
 
 CPPFLAGS += -DSYSCONFDIR=\"$(SYSCONFDIR)\"
 CPPFLAGS += -DVERSION=\"${VERSION}\"
-CFLAGS += -std=gnu99 -Wall -Werror=format-security
+CFLAGS += -std=gnu99 -Iinclude -Wall -Werror=format-security
 
-OBJS := $(wildcard src/*.c *.c)
+OBJS := $(wildcard src/*.c)
 OBJS := $(OBJS:.c=.o)
 
 %.o: %.c %.h
@@ -52,7 +49,7 @@
 	ronn -w -r $<
 
 clean:
-	rm -f *.o $(PROGRAM)
+	rm -f src/*.o $(PROGRAM)
 
 install: all man
 	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
@@ -64,16 +61,12 @@
 	chmod 644 $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
 	install -m 644 $(PROGRAM).1 $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 755 scripts/* $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)/
-	install -m 755 -d $(DESTDIR)$(DOCDIR)/contrib
-	install -m 755 contrib/* $(DESTDIR)$(DOCDIR)/contrib/
-	chmod 644 $(DESTDIR)$(DOCDIR)/contrib/config
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
 	rm -f $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/$(PROGRAM).1
 	rm -rf $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)
-	rm -rf $(DESTDIR)$(DOCDIR)
 
 dist: clean man
 	( git ls-files * ; ls $(PROGRAM).1 ) | \

=== debian/changelog ===
i3blocks (1.4-4) unstable; urgency=medium

  * Add a patch to handle the output of recent mpstat (>= 11.6.0):
    cpu_usage.patch. (Closes: #872794)
  * Bump Standards-Version to 4.1.0, no changes were needed.

 -- Jason Pleau <jason@jpleau.ca>  Mon, 28 Aug 2017 14:59:31 -0400

i3blocks (1.4-3) unstable; urgency=medium

  * Add a patch: makefile_reproducible.patch: make the build reproducible
    (Thanks to Mattia Rizzolo for the patch !)

 -- Jason Pleau <jason@jpleau.ca>  Sat, 23 Jul 2016 00:39:39 -0400

i3blocks (1.4-2) unstable; urgency=medium

  * Add a patch to use pandoc instead of ronn to generate manpage
    See #796497: manpage_use_pandoc.patch
  * Bump Standards-Versions to 3.9.8, no changes were required
  * Update Vcs-* fields to point to the https browsable URLs

 -- Jason Pleau <jason@jpleau.ca>  Sat, 02 Jul 2016 10:12:37 -0400

i3blocks (1.4-1) unstable; urgency=medium

  * New upstream release
  * Fix d/watch file so it reports accurate versions
  * d/control: set Architecture to linux-any, kfreebsd-any. It does not build
    on GNU/Hurd, as it makes use of a lot of macros that are undefined.
  * Use the github tagged release tarball (as it contains non-generated manual
    pages)
  * Add ruby-ronn as build-dependency (to generate the manual page)
  * Fix broken Recommends fields on some architectures:
    + acpi is now: [amd64 i386 mipsel]
    + alsa-utils and sysstat are now: [linux-any]

 -- Jason Pleau <jason@jpleau.ca>  Mon, 06 Jul 2015 20:02:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: x11
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), pandoc
+Standards-Version: 4.1.0
 Homepage: https://github.com/vivien/i3blocks
-Vcs-Git: git://anonscm.debian.org/collab-maint/i3blocks.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/i3blocks.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/i3blocks.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/i3blocks.git/
 
 Package: i3blocks
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: i3-wm, acpi, gawk, alsa-utils, sysstat
+Recommends: i3-wm, 
+            acpi [amd64 i386 mipsel], 
+            gawk, 
+            alsa-utils [linux-any], 
+            sysstat [linux-any]
 Enhances: i3-wm
 Description: highly flexible status line for the i3 window manager
  Status line for the i3 window manager and i3bar that handles clicks, signals

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/i3blocks-$1\.tar\.gz/ \
  https://github.com/vivien/i3blocks/tags .*/v?(\d\S*)\.tar\.gz

## i3blocks 1.5

=== debian/changelog ===
i3blocks (1.5-1) unstable; urgency=medium

  [ Jason Pleau ]
  * Point Vcs-* fields to salsa.d.o
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * New upstream release (Closes: #951028)
  * Remove patches: no longer needed
  * Update manpages and docs
  * Remove unneeded B-D and copyrights, i3blocks doesn't ship scripts anymore
  * Remove overrides in rules file; upstream switched to autotools
  * Add a patch to disable insallation of bash_completion, waiting on patch
    from upstream
  * Add pkg-config to build-depends

  [ Jakob Haufe ]
  * Adopt package (Closes: #1120098)
  * Debian/kFreeBSD is gone
  * B-D: modernize and split
  * Update Vcs-*
  * Modernize watchfile
  * Don't install blocklets.html
  * Privacy: Prevent connection to Google
  * Update Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Thu, 05 Feb 2026 15:07:10 +0100

=== debian/control ===
Source: i3blocks
Section: x11
Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: pkgconf
Standards-Version: 4.7.3
Homepage: https://github.com/vivien/i3blocks
Vcs-Git: https://salsa.debian.org/i3-team/i3blocks
Vcs-Browser: https://salsa.debian.org/i3-team/i3blocks

Package: i3blocks
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: i3-wm
Enhances: i3-wm
Description: highly flexible status line for the i3 window manager
 Status line for the i3 window manager and i3bar that handles clicks, signals
 and language-agnostic user scripts.
 .
 The content of each block (e.g. time, battery status, network state, ...)
 is the output of a command provided by the user.  Blocks are updated on click,
 at a given interval of time or on a given signal, also specified by the user.
 .
 It aims to respect the i3bar protocol, providing customization such as text
 alignment, urgency, color, and more.

=== debian/watch ===
Version: 5
Template: github
Owner: vivien
Project: i3blocks
